#! /bin/sh

#
# @(#) HPU installation script (entry point) (Full, Try & Buy, Workgroups)
# 

#


### DEBUG ###
# set -x
set -u
### FIN DEBUG ###


###########################################################################
# DisplaySyntax
###########################################################################

# 
# 
#


DisplaySyntax ()
{
    echo "Usage: `\basename $0` [-d HPU_installation_directory] [-s] [-v]"
    echo "-h        Help"
    echo "-d path   Sets installation directory"
    echo "-s        Silent"
    echo "-v        Verbose"
    echo "-a        Activate"
}





###########################################################################
# main
###########################################################################

# 
# -h        Help
# -d path   Installation directory
# -s        Silent
# -v        Verbose
# -a        Activate
# 
# 
# 

RETURN_CODE=0


FILE_TRACE="trace_install"
FILE_TRACE_ERROR="trace_error_install"
FILE_TRACE_WARNING="trace_warning_install"




# Obtention du chemin complet du repertoire ou se trouve le script d'installation

DIR_LAUNCH=`\pwd`
DIR_INSTALLER=`\dirname $0`
DIR_INSTALLER=`\cd "${DIR_INSTALLER}" ; \pwd`
\cd "${DIR_LAUNCH}"

# echo "DIR_INSTALLER : \"${DIR_INSTALLER}\" "




# Command line parsing




DIR_INSTALLATION=""
SILENT_INSTALLATION="NO"
VERBOSE_INSTALLATION="NO"
LICENSE_ACTIVATION="NO"
LICENSE_VERIFICATION="YES"


while getopts hd:sva OPTION
do
    case "${OPTION}" in
    h)
        DisplaySyntax
        exit 0
        ;;
        
    d)
        DIR_INSTALLATION="${OPTARG}"
        # echo "Argument option ${OPTARG}"
        ;;
        
    s)
        SILENT_INSTALLATION="YES"
        ;;
        
    v)
        VERBOSE_INSTALLATION="YES"
        ;;
        
    a)
        LICENSE_ACTIVATION="YES"
        ;;
        
    ?)
        echo "Unknown option" 1>&2
        exit 1
        ;;   
    esac 
done



### echo "OPTIND : $OPTIND"
### echo $*
### echo "Nombre d'arguments : $#"

shift `expr "${OPTIND}" - 1`

### echo $*
### echo "Nombre d'arguments (apres shift) : $#"
### echo "DIR_INSTALLATION  : \"${DIR_INSTALLATION}\" "


# if [ "${DIR_INSTALLATION}" = "" ]
# then
#     echo "Missing -d option or specified value is missing"
#     exit 1
# fi




# Main script 

if [ "${VERBOSE_INSTALLATION}" = "NO" ]
then
    "${DIR_INSTALLER}/installer_setup.sh" "INST" \
      "${FILE_TRACE}" "${FILE_TRACE_ERROR}" "${FILE_TRACE_WARNING}" \
      "${SILENT_INSTALLATION}" "HPU" "${LICENSE_ACTIVATION}" \
      "${LICENSE_VERIFICATION}" "${DIR_INSTALLATION}"
else
    FILE_VERBOSE=${DIR_INSTALLER}/install_verbose.log
    FILE_REPORT=${DIR_INSTALLER}/install_report.log
    date > ${FILE_VERBOSE}
    date > ${FILE_REPORT}
    sh -x "${DIR_INSTALLER}/installer_setup.sh" "INST" \
      "${FILE_TRACE}" "${FILE_TRACE_ERROR}" "${FILE_TRACE_WARNING}" \
      "${SILENT_INSTALLATION}" "HPU" "${LICENSE_ACTIVATION}" \
      "${LICENSE_VERIFICATION}" "${DIR_INSTALLATION}" \
      2>> ${FILE_VERBOSE} | tee -a ${FILE_REPORT}
fi
RETURN_CODE=$?



exit ${RETURN_CODE}

