#! /bin/sh

#
# @(#) HPU uninstallation script (entry point)(Full, Try & Buy, Workgroups)
# 

#


### DEBUG ###
# set -x
set -u
### FIN DEBUG ###


###########################################################################
# DisplaySyntax
###########################################################################

# 
# 
#


DisplaySyntax ()
{
    echo "Usage: `\basename $0` [-s] [-v]"
    echo "-h        Help"
    echo "-s        Silent"
    echo "-v        Verbose"
}





###########################################################################
# main
###########################################################################

# 
# -h        Help
# 
# 
# 

RETURN_CODE=0

FILE_TRACE="trace_uninstall"
FILE_TRACE_ERROR="trace_error_uninstall"
FILE_TRACE_WARNING="trace_warning_uninstall"


# Obtention du chemin complet du repertoire ou se trouve le script d'installation

DIR_UNINSTALLER=`\dirname $0`
DIR_UNINSTALLER=`\cd "${DIR_UNINSTALLER}" ; \pwd`

# echo "DIR_UNINSTALLER : \"${DIR_UNINSTALLER}\" "




# Command line parsing

SILENT_INSTALLATION="NO"
VERBOSE_INSTALLATION="NO"


while getopts hsv OPTION
do
    case "${OPTION}" in
    h)
        # echo "Option h"
        DisplaySyntax
        exit 1
        ;;
        
    s)
        SILENT_INSTALLATION="YES"
        ;;
        
    v)
        VERBOSE_INSTALLATION="YES"
        ;;
        
    ?)
        echo "Unknown option" 1>&2
        exit 1
        ;;   
    esac 
done

echo ""


# Main script 

if [ "${VERBOSE_INSTALLATION}" = "NO" ]
then
    "${DIR_UNINSTALLER}/installer_setup.sh" "UNINST" \
      "${FILE_TRACE}" "${FILE_TRACE_ERROR}" "${FILE_TRACE_WARNING}" \
      "${SILENT_INSTALLATION}" "HPU"
else
    FILE_VERBOSE=/tmp/uninstall_verbose.log
    FILE_REPORT=/tmp/uninstall_report.log
    date > ${FILE_VERBOSE}
    date > ${FILE_REPORT}
    sh -x "${DIR_UNINSTALLER}/installer_setup.sh" "UNINST" \
      "${FILE_TRACE}" "${FILE_TRACE_ERROR}" "${FILE_TRACE_WARNING}" \
      "${SILENT_INSTALLATION}" "HPU" 2>> ${FILE_VERBOSE} | tee -a ${FILE_REPORT}
fi
RETURN_CODE=$?



exit ${RETURN_CODE}

