#! /bin/sh


#
# @(#) Check if file empty (or non existent)
#
#
# Valeur retournee : 
#  0  si fichier vide (existant et de taille 0)
# 29 si fichier non vide (existant et de taille superieure a 0)
#  0 si fichier inexistant
#

# set -x



if [ $# -ne 1 ]
then
    echo "Missing argument or too many arguments"
    exit 1
fi

FILE=$1


if [ -s ${FILE} ]
then
    # Fichier existant et taille differente de 0
    RETURN_CODE=29
else
    if [ -r ${FILE} ]
    then
        # Fichier existant et de taille 0
        RETURN_CODE=0
    else
        # Fichier inexistant
        RETURN_CODE=0
    fi    
fi    


exit ${RETURN_CODE}

