#! /bin/sh

#
# @(#) Dechargement memoire des bibliotheques partagees inutilisees (chemins bibliotheques) (AIX)
#

#
#
# Argument 1 : repertoire d'installation de HPU
# Argument 2 : nom de plateforme (tel qu'il est gere (converti) par le script
#              d'installation)
#

# set -x
set -u



echo "Argument 1 : \"$1\" "
echo "Argument 2 : \"$2\" "

# Controles arguments d'appel

if [ $# -ne 2 ]
then
    echo "Incorrect number or arguments" 1>&2
    exit 1
fi



LOCATION_PATH=$1
PLATFORM=$2

if [ ! -d "${LOCATION_PATH}" ]
then
    echo "Directory \"${LOCATION_PATH}\" not found" 1>&2
    exit 2
fi


# Le script ne s'applique qu'aux plateformes AIX
# Il y a sortie sans erreur sinon.

if [ "${PLATFORM}" != "aix" ]
then
    echo "Platform \"${PLATFORM}\" not applicable for the script" 
    echo "Exiting"
    exit 0
fi





if [ ! -f /usr/sbin/slibclean ]
then
          
    echo "Command /usr/sbin/slibclean not found" 1>&2
    exit 3
    
else
    echo "Unloading unused shared libraries"
    
    /usr/sbin/slibclean 
          
    if [ $? -ne 0 ]
    then
        echo "Error executing /usr/sbin/slibclean command." 1>&2
        exit 4
    fi

fi


exit 0
