#! /bin/sh


#
# @(#) Remove installation directories
#
#
# Valeur retournee : 
#  0  si fichier vide (existant et de taille 0)
# 29 si fichier non vide (existant et de taille superieure a 0)
#  0 si fichier inexistant
#
# Warning :
# Bundled script within uninstaller!!
#

# set -x


##########################################################################
# DisplayTrace
###########################################################################

# 
# Affichage message de trace (sur sortie standard)
# 
# 
# Argument 1 : texte du message
# 
# 

DisplayTrace ()
{
    # RETURN_CODE=0
    
    echo "$1"
    
    # return ${RETURN_CODE}
}



###########################################################################
# main
###########################################################################


if [ $# -ne 1 ]
then
    echo "Missing argument or too many arguments"
    exit 1
fi

LOCATION_PATH=$1

if [ ! -d ${LOCATION_PATH} ]
then
    echo "Directory \"${LOCATION_PATH}\" not found."
    exit 1
fi

DisplayTrace "Contents of directory \"${LOCATION_PATH}\":"
\ls -1 ${LOCATION_PATH}
DisplayTrace ""

for NAME in `\ls ${LOCATION_PATH}`
do

    if [ -d "${LOCATION_PATH}/${NAME}" ]
    then

        # Controles de securite pour eviter des resultats catastrophiques
        # (suppression repertoires sous la racine)

        if [ -z "${LOCATION_PATH}" ]
        then
            DisplayTrace "Error : LOCATION_PATH empty !!!"
            echo "Error : LOCATION_PATH empty !!!" 1>&2
            exit 1
        fi

        if [ -z "${NAME}" ]
        then
            DisplayTrace "Error : DIRECTORY_NAME empty !!!"
            echo "Error : DIRECTORY_NAME empty !!!" 1>&2
            exit 1
        fi

        if [ "${LOCATION_PATH}/${NAME}" = "/${NAME}" ]
        then
            DisplayTrace "Error : complete path to directory to delete is \"/${NAME}\" !!!" 
            echo "Error : complete path to directory to delete is \"/\" !!!" 1>&2
            exit 1
        fi

        if [ "${LOCATION_PATH}/${NAME}" = "//${NAME}" ]
        then
            DisplayTrace "Error : complete path to directory to delete is \"//${NAME}\" !!!" 
            echo "Error : complete path to directory to delete is \"//\" !!!" 1>&2
            exit 1
        fi

        case ${NAME} in
        
        "_jvm"|"uninstall")
            DisplayTrace "    No deletion of directory \"${LOCATION_PATH}/${NAME}\" "
            DisplayTrace ""
            ;;
            
        *)    
            DisplayTrace "    Deletion of directory \"${LOCATION_PATH}/${NAME}\" " 
            DisplayTrace ""
            DisplayTrace "    Contents:"
            (\cd ${LOCATION_PATH}/${NAME} ; \ls -la)
            DisplayTrace ""        
            
            \rm -Rf "${LOCATION_PATH}/${NAME}"
            if [ $? -ne 0 ]
            then
                DisplayTrace "Error removing directory"
            fi    
            ;;

        esac            
        
    else
        # if [ -f "${LOCATION_PATH}/${NAME}" ]
        # then

            DisplayTrace "    Deletion of file \"${LOCATION_PATH}/${NAME}\" " 

            \rm -f "${LOCATION_PATH}/${NAME}"
            if [ $? -ne 0 ]
            then
                DisplayTrace "Error removing file"
            fi    
        # fi
    fi
done


DisplayTrace "    Deletion of directory \"${LOCATION_PATH}\" " 
\rmdir ${LOCATION_PATH}
if [ $? -ne 0 ]
then
    DisplayTrace "Error removing directory"
fi 


exit ${RETURN_CODE}

